Estimate NKS Cluster Create Cost
POST/v1/nks/clusters/cost
Return a priced cost quote for the proposed NKS cluster.
Estimate NKS Cluster Create Cost
curl https://api.nirvanalabs.io/v1/nks/clusters/cost \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
-d '{
"autoscaling": true,
"kubernetes_version": "v1.34.4",
"name": "my-cluster",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"vpc_id": "123e4567-e89b-12d3-a456-426614174000",
"tags": [
"production",
"ethereum"
]
}'{
"currency": "USD",
"monthly_total": "-69125",
"priced_at": "2025-01-01T00:00:00Z",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
}Returns Examples
{
"currency": "USD",
"monthly_total": "-69125",
"priced_at": "2025-01-01T00:00:00Z",
"usage_dimensions": [
{
"dimension": "compute_vcpu",
"dimension_display_name": "vCPU (hours)",
"monthly_amount": "-69125",
"quantity": 4,
"unit_price": "-69125"
}
]
}